Skip to main content
GET
/
v1
/
tasks
List Tasks
curl --request GET \
  --url https://api.example.com/v1/tasks \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "description": "<string>",
      "tags": [
        "<string>"
      ],
      "deadline": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "priority": "<string>",
      "created_by_id": "<string>",
      "company_id": "<string>",
      "version": 123,
      "status": "<string>",
      "call_id": "<string>",
      "fax_id": "<string>",
      "assistant_id": "<string>",
      "session_id": "<string>",
      "patient_id": "<string>",
      "type": "<string>",
      "external_message_ids": {}
    }
  ],
  "pagination": {
    "has_more": true,
    "total": 123,
    "page": 123,
    "limit": 123
  }
}

Authorizations

X-API-Key
string
header
required

Query Parameters

page
integer | null
default:1
Required range: x >= 1
limit
integer | null
default:50
Required range: 1 <= x <= 100
patient_id
string | null
status
enum<string> | null

Task status enum matching Prisma exactly

Available options:
pending,
in_progress,
completed
priority
enum<string> | null

Task priority enum matching Prisma

Available options:
low,
medium,
high,
urgent
assigned_user_id
string | null
type
string | null

Response

Successful Response

data
TaskResponse · object[]
required
pagination
Pagination · object
required

Pagination information for list responses.

Fields:

  • has_more: Whether more items exist beyond this page
  • total: Total number of items across all pages
  • page: Current page number (1-based)
  • limit: Number of items per page